.p-front-hero {
	overflow: hidden;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100dvh;
	padding: 0 20px;
	background-color: var(--color-base);
}

.p-front-hero__content {
	position: relative;
	z-index: 4;
	max-width: 1200px;
	margin: 0 auto;
}

.p-front-hero__textarea {
	text-align: center;
	color: #fff;
	opacity: 0;
	transform: translateY(30px);
	transition: opacity 1s ease, transform 1s ease;
}

.p-front-hero__textarea.is-visible {
	opacity: 1;
	transform: translateY(0);
}

.p-front-hero__copy-main {
	display: block;
	font-size: 60px;
	font-weight: 700;
	line-height: 1.4;
	text-shadow: 0 0 10px rgb(0 0 0 / 30%);
}

.p-front-hero__copy-sub {
	display: block;
	margin-top: 24px;
	font-size: 24px;
	font-weight: 700;
	letter-spacing: 0.1em;
	text-shadow: 0 0 10px rgb(0 0 0 / 30%);
}

.p-front-hero__characters {
	position: absolute;
	inset: auto auto 0 0;
	display: flex;
	align-items: flex-end;
	z-index: 4;
}

.p-front-hero__char {
	width: 120px;
}

.p-front-hero__char img {
	width: 100%;
}

.p-front-hero__frame {
	position: absolute;
	inset: 0 auto auto 0;
	width: 100%;
	height: 100%;
	z-index: 3;
	pointer-events: none;
}

.p-front-hero__frame img {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.p-front-hero__video-wrapper {
	position: absolute;
	inset: 0 auto auto 0;
	width: 100%;
	height: 100%;
	z-index: 1;
}

.p-front-hero__video-wrapper::after {
	content: '';
	position: absolute;
	inset: 0 auto auto 0;
	width: 100%;
	height: 100%;
	background-color: rgb(0 0 0 / 20%);
	z-index: 2;
}

.p-front-hero__video {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

@media screen and (max-width: 767px) {
	.p-front-hero__copy-main {
		font-size: 32px;
	}

	.p-front-hero__copy-sub {
		font-size: 16px;
	}

	.p-front-hero__char {
		width: 16vw;
	}

	.p-front-hero__frame {
		display: none;
	}
}

.p-front-heading {
	font-size: 40px;
	font-weight: 700;
	line-height: 1;
}

@media screen and (max-width: 767px) {
	.p-front-heading {
		font-size: 32px;
		line-height: 1.2;
	}
}

.p-front-about {
	--width-ratio: (100vw / 1440);
	position: relative;
	padding: calc(384 * var(--width-ratio)) 20px calc(408 * var(--width-ratio));
	background-color: var(--color-base);
}

.p-front-about__inner {
	position: relative;
	max-width: 640px;
	margin: 0 auto;
	z-index: 2;
}

.p-front-about__head {
	text-align: center;
}

.p-front-about__text {
	margin-top: 40px;
	line-height: 2.6;
	text-align: center;
}

.p-front-about__bg {
	position: absolute;
	z-index: 1;
}

.p-front-about__bg--top {
	inset: 0 auto auto 50%;
	width: calc(611 * var(--width-ratio));
	transform: translateX(-50%);
}

.p-front-about__bg--right {
	inset: 50% 0 auto auto;
	width: auto;
	height: calc(1144 * var(--width-ratio));
	transform: translateY(-50%);
}

.p-front-about__bg--bottom {
	inset: auto auto 0 50%;
	width: calc(925 * var(--width-ratio));
	transform: translateX(-50%);
}

.p-front-about__bg--left {
	inset: 50% auto auto 0;
	width: auto;
	height: calc(1164 * var(--width-ratio));
	transform: translateY(-50%);
}

.p-front-about__bg img {
	display: block;
	width: 100%;
}

.p-front-about__bg--right img {
	width: auto;
	height: 100%;
}

.p-front-about__bg--left img {
	width: auto;
	height: 100%;
}

@media screen and (max-width: 767px) {
	.p-front-about {
		--width-ratio: (100vw / 750);
		padding-top: calc(320 * var(--width-ratio));
		padding-bottom: calc(264 * var(--width-ratio));
	}

	.p-front-about__text {
		line-height: 2.4;
	}

	.p-front-about__bg--top {
		width: calc(487 * var(--width-ratio));
		max-width: 280px;
	}

	.p-front-about__bg--right {
		height: calc(1048 * var(--width-ratio));
		max-height: 580px;
	}

	.p-front-about__bg--bottom {
		width: calc(746 * var(--width-ratio));
		max-width: 424px;
	}

	.p-front-about__bg--left {
		height: calc(1010 * var(--width-ratio));
		max-height: 560px;
	}
}

@media screen and (min-width: 1440px) {
	.p-front-about {
		--width-ratio: (1440px / 1440);
	}
}

.p-front-service {
	padding: 0 20px 80px;
}

.p-front-service__bg {
	width: calc(100% + (20px * 2));
	margin: 0 -20px 40px;
	background-color: var(--color-base);
}

.p-front-service__bg img {
	display: block;
	width: 100%;
}

.p-front-service__inner {
	max-width: 960px;
	margin: 0 auto;
}

.p-front-service__overview {
	margin-top: 20px;
	font-size: 20px;
}

.p-front-service__overview strong {
	display: inline-block;
	margin: 0 4px;
}

.p-front-service__list {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 40px 80px;
	margin-top: 40px;
}

.p-front-service__item {
	position: relative;
}

.p-front-service__item-head {
	display: flex;
	flex-direction: column;
	gap: 10px;
	padding-bottom: 15px;
	line-height: 1;
	border-bottom: 2px dotted var(--color-surface-dark);
}

.p-front-service__item-copy {
	font-size: 14px;
	color: var(--color-text-sub);
}

.p-front-service__item-title {
	font-size: 32px;
}

.p-front-service__item-text {
	margin-top: 15px;
	font-size: 14px;
	line-height: 2;
}

.p-front-service__item-char {
	position: absolute;
	inset: 100px 20px auto auto;
	width: 96px;
}

.p-front-service__item-char img {
	display: block;
	width: 100%;
}

.p-front-service__item-char--1 img {
	transform: rotate(16deg);
}

.p-front-service__item-char--2 img {
	transform: scale(-1, 1) rotate(16deg);
}

.p-front-service__item-image {
	position: relative;
	margin-top: 25px;
	aspect-ratio: 3/2;
}

.p-front-service__item-image img {
	display: block;
	width: 100%;
	height: 100%;
	border: 4px solid transparent;
	border-radius: 40px;
	object-fit: cover;
}

.p-front-service__item-image-frame {
	position: absolute;
	inset: 50% auto auto 50%;
	width: calc(100% + (10px * 2));
	transform: translate(-50%, -50%);
	z-index: 1;
}

.p-front-service__item-image-frame img {
	border: none;
	border-radius: 0;
}

.p-front-service__button {
	margin-top: 80px;
}

.p-front-service__button .c-button {
	margin: 0 auto;
}

@media screen and (max-width: 767px) {
	.p-front-service {
		padding-bottom: 60px;
	}

	.p-front-service__list {
		grid-template-columns: 1fr;
	}

	.p-front-service__item-title {
		font-size: 24px;
	}

	.p-front-service__item-char {
		inset: 100px 0px auto auto;
		width: 80px;
	}

	.p-front-service__item-image img {
		border: none;
		border-radius: 20px;
	}
}

.p-front-information {
	position: relative;
	padding: 90px 20px 80px;
}

.p-front-information__inner {
	max-width: 960px;
	margin: 0 auto;
}

.p-front-information__list {
	margin-top: 40px;
}

.p-front-information__more {
	margin-top: 40px;
}

.p-front-information__more>.c-button {
	margin: 0 auto;
}

@media screen and (max-width: 767px) {
	.p-front-information {
		padding-top: 60px;
		padding-bottom: 60px;
	}
}

.p-front-gallery {
	padding: 80px 0 0;
}

.p-front-gallery__list {
	position: relative;
	z-index: 2;
	display: flex;
	flex-direction: column;
	gap: 24px;
}

.p-front-gallery__row .swiper-wrapper {
	transition-timing-function: linear !important;
}

.p-front-gallery__item {
	width: auto !important;
	clip-path: polygon(0 0, 33% 4px, 66% 0, 100% 8px, calc(100% - 4px) 80%, 100% calc(100% - 4px), 66% 100%, 33% calc(100% - 8px), 0 100%, 4px 50%);
}

.p-front-gallery__item img {
	display: block;
	width: auto;
	height: 260px;
	border-radius: 20px;
	object-fit: cover;
}

.p-front-gallery__bg {
	width: 100%;
	margin-top: 40px;
	background-color: var(--color-base);
}

.p-front-gallery__bg img {
	display: block;
	width: 100%;
	transform: rotate(180deg);
}

@media screen and (max-width: 767px) {
	.p-front-gallery__item img {
		height: 200px;
	}
}

.p-front-access {
	padding: 80px 20px 100px;
}

.p-front-access__inner {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	gap: 40px;
	max-width: 960px;
	margin: 0 auto;
}

.p-front-access__head {
	width: 100%;
}

.p-front-access__content {
	width: 48%;
}

.p-front-access__summary {
	display: flex;
	flex-direction: column;
	gap: 20px;
}

.p-front-access__item {
	display: grid;
	grid-template-columns: 80px 1fr;
	align-items: flex-start;
	gap: 16px;
}

.p-front-access__label {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 8px;
	border: 1px solid var(--color-text-main);
	border-radius: 8px;
	font-size: 12px;
	line-height: 1;
}

.p-front-access__button {
	margin-top: 40px;
}

.p-front-access__map {
	overflow: hidden;
	flex: 1;
	margin-top: -40px;
	border: 1px solid var(--color-border-medium);
	border-radius: 24px;
}

.p-front-access__map iframe {
	display: block;
	width: 100%;
	height: 100%;
	aspect-ratio: 6 / 4;
}

@media screen and (max-width: 767px) {
	.p-front-access__inner {
		flex-direction: column;
	}

	.p-front-access__content {
		order: 3;
		width: 100%;
	}

	.p-front-access__button .c-button {
		margin: 0 auto;
	}

	.p-front-access__map {
		order: 2;
		margin-top: 0;
	}
}